# Generated by Django 4.0 on 2021-12-17 03:51

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('dynamic_behaviours', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DynamicFileName',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='DynamicLibraries',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='FileIO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dynamic_behaviours.dynamicfilename')),
            ],
        ),
        migrations.CreateModel(
            name='IP',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='NetworkIO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.TextField()),
                ('from_ip', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='from_ip', to='dynamic_behaviours.ip')),
                ('to_ip', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='to_ip', to='dynamic_behaviours.ip')),
            ],
        ),
        migrations.CreateModel(
            name='Syscall',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='ntcreatefile',
            name='file_name',
        ),
        migrations.RemoveField(
            model_name='ntopenfile',
            name='file_name',
        ),
        migrations.RemoveField(
            model_name='dynamicbehaviour',
            name='create_files',
        ),
        migrations.RemoveField(
            model_name='dynamicbehaviour',
            name='open_files',
        ),
        migrations.RemoveField(
            model_name='dynamicbehaviour',
            name='read_files',
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='children',
            field=models.TextField(default=''),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='file_io_list',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=list, size=None),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='libraries',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=list, size=None),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='num_threads',
            field=models.IntegerField(default=1),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='parent',
            field=models.TextField(default=''),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='pid',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='dynamicbehaviour',
            name='syscalls_list',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=list, size=None),
        ),
        migrations.DeleteModel(
            name='FileName',
        ),
        migrations.DeleteModel(
            name='NtCreateFile',
        ),
        migrations.DeleteModel(
            name='NtOpenFile',
        ),
        migrations.DeleteModel(
            name='NtReadFile',
        ),
        migrations.AddField(
            model_name='fileio',
            name='syscall',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dynamic_behaviours.syscall'),
        ),
    ]
